$(document).ready(function() {
    $('#chat-form').submit(function(event) {
        event.preventDefault();

        var message = $('#chat-input').val();

        sendMessage(message);

        $('#chat-input').val('');
    });

    /**
     * Sends the message to the server.
     *
     * @param String message The message introduced by the user.
     */
    function sendMessage(message) {
        $.ajax({
            url: 'php/saveMessage.php',
            data: {
                'message' : message
            },
            type: 'POST'
        });
    }

    /**
     * Reads the messages saved in the server, and displays them.
     */
    function readMessages() {
        $.ajax({
            url: 'php/readMessages.php',
            type: 'GET',
            success: function(data) {
                addMessage(data);
            }
        });
    }

    /**
     * Adds a message to the messages div.
     *
     * @param String message The message to add.
     */
    function addMessage(message) {
        message = '<span class="chat-message">' + message + '</span>';
        $('#chat-messages').append(message);
    }

    setInterval(function() {
        readMessages();
    }, 100);
});
