<?php

require_once('db.php');

/**
 * Reads the messages from the database.
 *
 * @param $connection The connection to the database.
 * @return string The existing messages in HTML format.
 */
function readMessages($connection) {
    $sql = 'SELECT message, ip '
         . 'FROM messages';

    $result = mysqli_query($connection, $sql);

    $messages = '';

    while ($row = mysqli_fetch_array($result, MYSQLI_NUM)) {
        $message = '<span class="chat-message">';

        $message .= '<span class="ip">' . $row[1] . '</span>: ';
        $message .= $row[0];

        $message .= '</span>';

        $messages .= $message;
    }

    return $messages;
}

/**
 * Deletes the messages from the database, once read.
 *
 * @param $connection Connection to the database.
 */
function deleteMessages($connection) {
    $sql = 'DELETE FROM messages';

    mysqli_query($connection, $sql);
}

// Flow starts here.

$connection = connect();

$messages = readMessages($connection);
deleteMessages($connection);
mysqli_close($connection);

echo $messages;
